%filter_from_requires /.*libalsapid.so*/d
%filter_setup

Name:          ladish
Summary:       LADI Audio session handler
Version:       2
Release:       4.3.gitfcb16ae%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://ladish.org/
# see ladish-snapshot.sh to retrieve source
Source0:       %{name}-%version-gitfcb16ae.tar.bz2
Source1:       ladish-snapshot.sh
# clean up desktop files
Patch0:        ladish-1-desktop.patch
# NOTE - this will be need to reviewed each version release due to 
# non numeric version number in wscript

Requires:      laditools
Requires:      pygtk2
Requires:      dbus
BuildRequires: python2-devel
BuildRequires: desktop-file-utils
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: alsa-lib-devel
BuildRequires: libuuid-devel
BuildRequires: dbus-devel
BuildRequires: expat-devel
BuildRequires: gtk2-devel
BuildRequires: dbus-glib-devel
BuildRequires: boost-devel
BuildRequires: flowcanvas-devel
BuildRequires: pygtk2-devel
BuildRequires: PyYAML
BuildRequires: intltool

%description
Session management system for JACK applications on GNU/Linux. Its aim
is to have many different audio programs running at once, to save their
setup, close them down and then easily reload the setup at some other
time. ladish doesn't deal with any kind of audio or MIDI data itself;
it just runs programs, deals with saving/loading (arbitrary) data and
connects JACK ports together.
Ladish has a GUI frontend called gladish, based on lpatchage (LADI Patchage)
and the ladish_control command line app for headless operation.

%package -n gladish
Summary:    GTK ladish front end
Requires:   %{name}%{_isa} = %{version}-%{release}

%description -n gladish
A suite of tools to configure and control the Jack Audio Connection Kit.
Laditools contains laditray, a tray icon control tool for Jack D-Bus.
This package is mandatory for installing the LADI Audio Session Handler.

%prep
%setup -q -n ladish-2
%patch0 -p1
# remove bundled libs
sed -i -e "s|'-fvisibility=hidden')|\['-fvisibility=hidden'\]+'%{optflags} -fno-tree-pta'.split(' '))|"\
       -e "s|\['PREFIX'\]), 'lib')|\['PREFIX'\]), '%{_libdir}')|" wscript
# move preloaded lib out of LD path
sed -i -e "s|libalsapid.so|%{_libdir}\/ladish\/libalsapid.so|" daemon/loader.c

%build
./waf configure --prefix=%{_prefix} -v
LIBDIR=%{_libdir} CFLAGS="%{optflags} -fno-tree-pta" CXXFLAGS="%{optflags} -fno-tree-pta" ./waf -v

%install
./waf install --destdir=%{buildroot}
# move lib out of LDPATH
mkdir  %{buildroot}/%{_libdir}/%{name}
mv %{buildroot}%{_libdir}/libalsapid.so   %{buildroot}/%{_libdir}/%{name}/

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/gladish.desktop || :

%post -n gladish
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun -n gladish
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans -n gladish
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc README AUTHORS COPYING NEWS
%{_bindir}/ladishd
%{_bindir}/jmcore
%{_bindir}/ladiconfd
%{_bindir}/ladish_control
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.%{name}.service
%{_datadir}/dbus-1/services/org.%{name}.conf.service
%{_datadir}/dbus-1/services/org.%{name}.jmcore.service

%files -n gladish
%{_datadir}/applications/gladish.desktop
%{_bindir}/gladish
%{_datadir}/icons/hicolor/*/apps/gladish.png

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-4.3.gitfcb16ae
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-3.3.gitfcb16ae
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 2-2.3.gitfcb16ae
- Rebuild for boost 1.55.0

* Thu Oct 10 2013 Brendan Jones <brendan.jones.it@gmail.com> 2-1.3.gitfcb16ae
- Filter libalsapid.so from requires

* Tue Oct 08 2013 Brendan Jones <brendan.jones.it@gmail.com> 2-1.2.gitfcb16ae
- Hardcode libalsapid.so location 
- add BR dbus
- validate desktop file

* Fri Jun 28 2013 Brendan Jones <brendan.jones.it@gmail.com> 2-1.1.gitfcb16ae
- Update to latest git

* Sun Oct 28 2012 Brendan Jones <brendan.jones.it@gmail.com> 2-0.3.git2c3c3f0
- Move private library out of LDPATH

* Fri Oct 12 2012 Brendan Jones <brendan.jones.it@gmail.com> 2-0.2.git2c3c3f0
- Update git revision

* Sun Jun 03 2012 Brendan Jones <brendan.jones.it@gmail.com> 2-0.1.git49eca11
- Update to latest git snapshot

* Tue Mar 06 2012 Brendan Jones <brendan.jones.it@gmail.com> 1-1
- initial build
